# -*- coding: utf-8 -*-
from __future__ import division, print_function, absolute_import

from oxdjango.decorators import login_required_json
from oxdjango.shortcuts import render_to_json_response, json_response
from oxdjango.api import actions

from .tasks import import_documents

@login_required_json
def importDocuments(request, data):
    response = json_response({})
    t = import_documents.delay(urls=data['urls'])
    response['data']['taskId'] = t.task_id
    return render_to_json_response(response)
actions.register(importDocuments)
